Subject: Re: bug#17418: #:select gives access to private variables

From: [email-masked] (Ludovic Courtès)
Date: Mon, 02 Jun 2014 10:08:28 +0200

Hi, Mark!

Mark H Weaver <[email-masked]> skribis:

> Perhaps we should consider making #:select issue a warning when it
> imports private bindings,

Yes, sounds like a good idea.

> and also adding a mechanism to import private bindings without a
> warning.

I’m unsure about this.  Normally we don’t want to allow that, because
that defeats the purpose of modules.  OTOH, in practice we occasionally
need this ability; I typically use @@ for that, but it’s not as nice as
a real import.

Any idea what other schemes do?

Ludo’.